.search-card {background: var(--fg); display: grid;grid-template-columns: repeat(5,1fr);position: relative;margin: 10px auto; overflow: hidden;border: 1px solid var(--fg);}
.search-card div{
grid-column: 1/3;grid-row: 1/3;overflow: hidden;max-width: 350px;height: 170px;display: flex;align-self: center;justify-content: center;
}
.search-card h4{grid-column: 3/6;padding:10px 10px 5px 10px;}
.search-card p{grid-column: 3/6;line-height: 22px;padding:5px 10px 10px 10px;overflow: hidden;height: 80px;}
.search-card img {
width: 100%;
height: auto;
min-height: 100%;
object-fit: cover;
}
.img-tab{column-count: 3;}
@media screen and (max-width: 480px){
	.img-tab{column-count: 2; margin: 0 5px; gap: 8px;}
}
.img-tab > div{ margin-bottom: 10px; position: relative;width: 100%;}
.img-tab > div img { width: 100%; height: auto; background: var(--fg);}
.img-tab > div a{font-size: 14px; color: #fff;}
.img-tab > div a:nth-child(2){position: absolute;top: 0;bottom: 0;left: 0;right: 0;display: flex;align-items: center;justify-content: center; text-decoration: underline; font-size: 14px;}
.img-tab > div a:nth-child(3){position: absolute;bottom: 4px;left: 0;right: 0;background: #0005;padding: 5px 10px; font-size: 14px;}
.search-card a{ position: absolute;top: 0; left: 0;right: 0;bottom: 0;}
h5{padding: 20px 0 15px 0; border-bottom: 1px solid var(--border); margin-bottom: 15px;}
h2{ margin: 0;font-size: 16px;}
.head label { font-size: 14px; font-weight: 600; padding: 12px 18px; display: inline-block;color: var(--site-label);}
.head{border-bottom: 1px solid var(--border); margin: 10px 0 15px 0;}
.pst, .rvs, .walls, .all-img{display: none;}
/*.all:checked~.main-content .all-search .post{display: block;}*/
.err > div, .err-all{
min-height: 50vh;
background: var(--fg);
padding: 10px;margin: 10px 0;
text-align: center;
color: red;font-weight: 500;
}
/*.err-all{display: none;}*/

.err p, .err-all p{ margin: 20px 0; }

.post:checked~.pst{display: block;}
.all:checked~.main-content .head .l-all,
.post:checked~.main-content .head .l-pst,
.reviews:checked~.main-content .head .l-rv,
.wallpapers:checked~.main-content .head .l-wp,
.img:checked~.main-content .head .l-img{color: var(--default-text); border-bottom: 2px solid var(--default-text);}

.post:checked~.main-content .pst{display: block;}
.reviews:checked~.main-content .rvs{display: block;}
.img:checked~.main-content .all-img{display: block;}
.wallpapers:checked~.main-content .walls{display: block;}

/*.all:checked~.main-content .card-con{display: none;}*/
.main-content .res{display: none;}
.all:checked~.main-content .res,
.all:checked~.main-content .pst,
.all:checked~.main-content .rvs,
.all:checked~.main-content .walls,
.all:checked~.main-content .err-all{display: block;}

.all:checked~.main-content .err{display: none;}

.post:checked~.main-content .err-rvs{display: none;}
.post:checked~.main-content .err-wp{display: none;}
.post:checked~.main-content .err-all{display: none;}

.img:checked~.main-content .err{display: none;}

.reviews:checked~.main-content .err-pst{display: none;}
.reviews:checked~.main-content .err-wp{display: none;}
.reviews:checked~.main-content .err-all{display: none;}

.wallpapers:checked~.main-content .err-rvs{display: none;}
.wallpapers:checked~.main-content .err-all{display: none;}
.wallpapers:checked~.main-content .err-pst{display: none;}


html .page .main-content .all-search input{display: none;}
